AztecCode (ZXing 3.4.0 API)

com.google.zxing.aztec.encoder

## Class AztecCode

- java.lang.Object
- - com.google.zxing.aztec.encoder.AztecCode

-     public final class AztecCode
      extends Object

  Aztec 2D code representation
  Author:
    Rustam Abdullaev

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AztecCode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCodeWords()`
    `int` | `getLayers()`
    `BitMatrix` | `getMatrix()`
    `int` | `getSize()`
    `boolean` | `isCompact()`
    `void` | `setCodeWords(int codeWords)`
    `void` | `setCompact(boolean compact)`
    `void` | `setLayers(int layers)`
    `void` | `setMatrix(BitMatrix matrix)`
    `void` | `setSize(int size)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AztecCode

          public AztecCode()

  - ### Method Detail

    - #### isCompact

          public boolean isCompact()

      Returns:
        `true` if compact instead of full mode

    - #### setCompact

          public void setCompact(boolean compact)

    - #### getSize

          public int getSize()

      Returns:
        size in pixels (width and height)

    - #### setSize

          public void setSize(int size)

    - #### getLayers

          public int getLayers()

      Returns:
        number of levels

    - #### setLayers

          public void setLayers(int layers)

    - #### getCodeWords

          public int getCodeWords()

      Returns:
        number of data codewords

    - #### setCodeWords

          public void setCodeWords(int codeWords)

    - #### getMatrix

          public BitMatrix getMatrix()

      Returns:
        the symbol image

    - #### setMatrix

          public void setMatrix(BitMatrix matrix)

Copyright © 2007–2019. All rights reserved.